io.etcd.jetcd.api

## Class ClusterGrpc.ClusterStub

- java.lang.Object
- - io.grpc.stub.AbstractStub<S>
  - - io.grpc.stub.AbstractAsyncStub<ClusterGrpc.ClusterStub>
    - - io.etcd.jetcd.api.ClusterGrpc.ClusterStub

Enclosing class:
  ClusterGrpc

    public static final class ClusterGrpc.ClusterStub
    extends io.grpc.stub.AbstractAsyncStub<ClusterGrpc.ClusterStub>

### Nested Class Summary

### Nested classes/interfaces inherited from class io.grpc.stub.AbstractStub

`io.grpc.stub.AbstractStub.StubFactory<T extends io.grpc.stub.AbstractStub<T>>`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ClusterGrpc.ClusterStub` `build(io.grpc.Channel channel, io.grpc.CallOptions callOptions)`
`void` `memberAdd(MemberAddRequest request, io.grpc.stub.StreamObserver<MemberAddResponse> responseObserver)` MemberAdd adds a member into the cluster.
`void` `memberList(MemberListRequest request, io.grpc.stub.StreamObserver<MemberListResponse> responseObserver)` MemberList lists all the members in the cluster.
`void` `memberRemove(MemberRemoveRequest request, io.grpc.stub.StreamObserver<MemberRemoveResponse> responseObserver)` MemberRemove removes an existing member from the cluster.
`void` `memberUpdate(MemberUpdateRequest request, io.grpc.stub.StreamObserver<MemberUpdateResponse> responseObserver)` MemberUpdate updates the member configuration.

### Methods inherited from class io.grpc.stub.AbstractAsyncStub

`newStub, newStub`

### Methods inherited from class io.grpc.stub.AbstractStub

`getCallOptions, getChannel, withCallCredentials, withChannel, withCompression, withDeadline, withDeadlineAfter, withExecutor, withInterceptors, withMaxInboundMessageSize, withMaxOutboundMessageSize, withOption, withWaitForReady`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### build

    protected ClusterGrpc.ClusterStub build(io.grpc.Channel channel,
                                            io.grpc.CallOptions callOptions)

Specified by:
  `build` in class `io.grpc.stub.AbstractStub<ClusterGrpc.ClusterStub>`

#### memberAdd

    public void memberAdd(MemberAddRequest request,
                          io.grpc.stub.StreamObserver<MemberAddResponse> responseObserver)

     MemberAdd adds a member into the cluster.

#### memberRemove

    public void memberRemove(MemberRemoveRequest request,
                             io.grpc.stub.StreamObserver<MemberRemoveResponse> responseObserver)

     MemberRemove removes an existing member from the cluster.

#### memberUpdate

    public void memberUpdate(MemberUpdateRequest request,
                             io.grpc.stub.StreamObserver<MemberUpdateResponse> responseObserver)

     MemberUpdate updates the member configuration.

#### memberList

    public void memberList(MemberListRequest request,
                           io.grpc.stub.StreamObserver<MemberListResponse> responseObserver)

     MemberList lists all the members in the cluster.